UAPUTL(1)

NAME
uaputl - configure Marvell uAP wireless driver

SYNOPSIS
uaputl [options] <command> [parameters]

DESCRIPTION
This manual page documents briefly the uaputl command, which is used to configure the device driver for Marvell's uAP wireless interface.

OPTIONS

-d <debug_level>
    Enable debugging output, level can be 0, 1, or 2.

-h, --help
    Show summary of options and commands.

-i <interface>
    Select interface to configure.

-v  Show version of program.

COMMANDS
For more information on the usage of each command use:
        uaputl.exe <command> --help

sys_config
    Set/get uAP's profile

sys_info
    Display system info

sys_reset
    Reset uAP

bss_start
    Start the BSS

bss_stop
    Stop the BSS

sta_deauth
    Deauth client

sta_list
    Display list of clients

sys_cfg_ap_mac_address
    Set/get uAP mac address

sys_cfg_ssid
    Set/get uAP ssid

sys_cfg_beacon_period
    Set/get uAP beacon period

sys_cfg_dtim_period
    Set/get uAP dtim period

sys_cfg_channel
    Set/get uAP radio channel

sys_cfg_scan_channels
    Set/get uAP radio channel list

sys_cfg_rates
    Set/get uAP rates

sys_cfg_rates_ext
    Set/get uAP rates (extended)

sys_cfg_tx_power
    Set/get uAP tx power

sys_cfg_bcast_ssid_ctl
    Set/get uAP broadcast ssid

sys_cfg_preamble_ctl
    Get uAP preamble

sys_cfg_antenna_ctl
    Set/get uAP tx/rx antenna

sys_cfg_rts_threshold
    Set/get uAP rts threshold

sys_cfg_frag_threshold
    Set/get uAP frag threshold

sys_cfg_radio_ctl
    Set/get uAP radio on/off

sys_cfg_tx_data_rate
    Set/get uAP tx rate

sys_cfg_mcbc_data_rate
    Set/get uAP MCBC rate

sys_cfg_rsn_replay_prot
    Set/get RSN replay protection

sys_cfg_pkt_fwd_ctl
    Set/get uAP packet forwarding

sys_cfg_sta_ageout_timer
    Set/get station ageout timer

sys_cfg_auth
    Set/get uAP authentication mode

sys_cfg_protocol
    Set/get uAP security protocol

sys_cfg_wep_key
    Set/get uAP wep key

sys_cfg_cipher
    Set/get uAP WPA/WPA cipher

sys_cfg_wpa_passphrase
    Set/get uAP WPA or WPA2 passphrase

sys_cfg_group_rekey_timer
    Set/get uAP group re-key time

sys_cfg_max_sta_num
    Set/get uAP max station number

sys_cfg_retry_limit
    Set/get uAP retry limit number

sys_cfg_custom_ie
    Set/get custom IE configuration

sta_filter_table
    Set/get uAP mac filter

regrdwr
    Read/Write register command

memaccess
    Read/Write to a memory address command

rdeeprom
    Read EEPROM

cfg_data
    Get/Set configuration file from/to firmware

sys_debug
    Set/Get debug parameter

sys_cfg_80211d
    Set/Get 802.11D info

uap_stats
    Get uAP stats

powermode
    Set/get uAP power mode

coex_config
    Set/get uAP BT coex configuration

SEE ALSO
uapevent(1).

This manual page was written by Bdale Garbee <bdale@gag.com>, for the Debian project (and may be used by others).